Name:           kcm-kup
Version:        0.7.0
Release:        1%{?dist}
Summary:        A backup scheduler for KDE's Plasma desktop

License:        GPLv2
URL:            https://github.com/spersson/Kup/
Source0:        kup-%{version}.tar.gz


BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  gettext
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-kdbusaddons-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kiconthemes-devel
BuildRequires:  kf5-kidletime-devel
BuildRequires:  kf5-kinit-devel
BuildRequires:  kf5-kio-devel
BuildRequires:  kf5-kjobwidgets-devel
BuildRequires:  kf5-knotifications-devel
BuildRequires:  kf5-plasma-devel
BuildRequires:  kf5-rpm-macros
BuildRequires:  kf5-solid-devel
BuildRequires:  libgit2-devel
BuildRequires:  qt5-qtbase-devel

BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(appstream-glib)

Requires:       bup
Requires:       kf5-filesystem
Requires:       rsync

%description
Kup is created for helping people to keep up-to-date backups of their
personal files. Connecting a USB hard drive is the primary supported way
to store files, but saving files to a server over a network connection is
also possible for advanced users.


%prep
%autosetup -n Kup-kup-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} -DUSE_SYSTEM_LIBGIT2=ON ..
popd

make %{?_smp_mflags} -C %{_target_platform}

# Fix appdata file
sed -i 's/<icon type="stock">/<icon>/' %{_target_platform}/org.kde.kupapplet.appdata.xml

%install
make install/fast -C %{_target_platform} DESTDIR=%{buildroot}
%find_lang kup --with-kde

%check
# Validate appdata file
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/*.appdata.xml

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f kup.lang
%license LICENSE
%{_kf5_bindir}/kup-daemon
%{_kf5_bindir}/kup-filedigger
%{_kf5_datadir}/knotifications5/kupdaemon.notifyrc
%{_kf5_datadir}/kservices5/bup.protocol
%{_kf5_datadir}/kservices5/*.desktop
%{_kf5_datadir}/plasma/plasmoids/org.kde.kupapplet/
%{_kf5_datadir}/plasma/services/kupservice.operations
%{_kf5_libdir}/libkdeinit5_kup-daemon.so
%{_kf5_qtplugindir}/*.so
%{_kf5_qtplugindir}/plasma/dataengine/plasma_engine_kup.so
%{_kf5_sysconfdir}/xdg/autostart/kup-daemon.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/appdata/org.kde.kupapplet.appdata.xml


%changelog
* Thu Feb 09 2017 Mattia Verga <mattia.verga@tiscali.it> - 3.0.1-2
- Rebuild for kpmcore 3.0.3
